pymatgen.analysis namespace
===========================

.. py:module:: pymatgen.analysis

Subpackages
-----------

.. toctree::
   :maxdepth: 7

   pymatgen.analysis.chemenv
   pymatgen.analysis.diffraction
   pymatgen.analysis.elasticity
   pymatgen.analysis.ferroelectricity
   pymatgen.analysis.gb
   pymatgen.analysis.interfaces
   pymatgen.analysis.magnetism
   pymatgen.analysis.solar
   pymatgen.analysis.structure_prediction
   pymatgen.analysis.topological
   pymatgen.analysis.xas

Submodules
----------

pymatgen.analysis.adsorption module
-----------------------------------

.. automodule:: pymatgen.analysis.adsorption
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.bond\_dissociation module
-------------------------------------------

.. automodule:: pymatgen.analysis.bond_dissociation
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.bond\_valence module
--------------------------------------

.. automodule:: pymatgen.analysis.bond_valence
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.chempot\_diagram module
-----------------------------------------

.. automodule:: pymatgen.analysis.chempot_diagram
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.cost module
-----------------------------

.. automodule:: pymatgen.analysis.cost
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.dimensionality module
---------------------------------------

.. automodule:: pymatgen.analysis.dimensionality
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.disorder module
---------------------------------

.. automodule:: pymatgen.analysis.disorder
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.energy\_models module
---------------------------------------

.. automodule:: pymatgen.analysis.energy_models
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.eos module
----------------------------

.. automodule:: pymatgen.analysis.eos
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.ewald module
------------------------------

.. automodule:: pymatgen.analysis.ewald
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.excitation module
-----------------------------------

.. automodule:: pymatgen.analysis.excitation
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.fragmenter module
-----------------------------------

.. automodule:: pymatgen.analysis.fragmenter
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.functional\_groups module
-------------------------------------------

.. automodule:: pymatgen.analysis.functional_groups
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.graphs module
-------------------------------

.. automodule:: pymatgen.analysis.graphs
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.hhi module
----------------------------

.. automodule:: pymatgen.analysis.hhi
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.interface module
----------------------------------

.. automodule:: pymatgen.analysis.interface
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.interface\_reactions module
---------------------------------------------

.. automodule:: pymatgen.analysis.interface_reactions
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.local\_env module
-----------------------------------

.. automodule:: pymatgen.analysis.local_env
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.molecule\_matcher module
------------------------------------------

.. automodule:: pymatgen.analysis.molecule_matcher
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.molecule\_structure\_comparator module
--------------------------------------------------------

.. automodule:: pymatgen.analysis.molecule_structure_comparator
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.nmr module
----------------------------

.. automodule:: pymatgen.analysis.nmr
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.phase\_diagram module
---------------------------------------

.. automodule:: pymatgen.analysis.phase_diagram
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.piezo module
------------------------------

.. automodule:: pymatgen.analysis.piezo
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.piezo\_sensitivity module
-------------------------------------------

.. automodule:: pymatgen.analysis.piezo_sensitivity
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.pourbaix\_diagram module
------------------------------------------

.. automodule:: pymatgen.analysis.pourbaix_diagram
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.prototypes module
-----------------------------------

.. automodule:: pymatgen.analysis.prototypes
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.quasiharmonic module
--------------------------------------

.. automodule:: pymatgen.analysis.quasiharmonic
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.quasirrho module
----------------------------------

.. automodule:: pymatgen.analysis.quasirrho
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.reaction\_calculator module
---------------------------------------------

.. automodule:: pymatgen.analysis.reaction_calculator
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.structure\_analyzer module
--------------------------------------------

.. automodule:: pymatgen.analysis.structure_analyzer
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.structure\_matcher module
-------------------------------------------

.. automodule:: pymatgen.analysis.structure_matcher
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.surface\_analysis module
------------------------------------------

.. automodule:: pymatgen.analysis.surface_analysis
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.thermochemistry module
----------------------------------------

.. automodule:: pymatgen.analysis.thermochemistry
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.transition\_state module
------------------------------------------

.. automodule:: pymatgen.analysis.transition_state
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.wulff module
------------------------------

.. automodule:: pymatgen.analysis.wulff
   :members:
   :undoc-members:
   :show-inheritance:

pymatgen.analysis.xps module
----------------------------

.. automodule:: pymatgen.analysis.xps
   :members:
   :undoc-members:
   :show-inheritance:
